aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorOliver Freyermuth <o.freyermuth@googlemail.com>2020-06-02 18:33:44 +0200
committerOliver Freyermuth <o.freyermuth@googlemail.com>2020-06-02 18:33:44 +0200
commit99f678492d15f81466c38763b0fa2c48d0d6cc47 (patch)
tree24c87e7cf621079535f6a8bc4f0d32a9aeb165c1 /media-video
parentgames-arcade/taisei: Add live ebuild, BDEPEND, doc/lto, LICENSE. (diff)
downloadguru-99f678492d15f81466c38763b0fa2c48d0d6cc47.tar.gz
guru-99f678492d15f81466c38763b0fa2c48d0d6cc47.tar.bz2
guru-99f678492d15f81466c38763b0fa2c48d0d6cc47.zip
media-video/mpv-mpris: New package.
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Oliver Freyermuth <o.freyermuth@googlemail.com>
Diffstat (limited to 'media-video')
-rw-r--r--media-video/mpv-mpris/Manifest1
-rw-r--r--media-video/mpv-mpris/metadata.xml15
-rw-r--r--media-video/mpv-mpris/mpv-mpris-0.5.ebuild48
-rw-r--r--media-video/mpv-mpris/mpv-mpris-9999.ebuild48
4 files changed, 112 insertions, 0 deletions
diff --git a/media-video/mpv-mpris/Manifest b/media-video/mpv-mpris/Manifest
new file mode 100644
index 00000000..21feb4bc
--- /dev/null
+++ b/media-video/mpv-mpris/Manifest
@@ -0,0 +1 @@
+DIST mpv-mpris-0.5.tar.gz 8559 BLAKE2B 7eef231ab3855ed3f0a708484881f1df93152d9b79be491986ed0da2cd54870101d5fd90a35d95344b886a6af930c303b3f8c0bc480b55c8799ec8b96e7acdab SHA512 9c28b4f3fdcd6bddf3824125f994807d7a31f8e7398178296dab9d4422d3cc71a0b798ae75fe68c890556c993fb04bf5d7ffa379676312840fdf219bf4a974f7
diff --git a/media-video/mpv-mpris/metadata.xml b/media-video/mpv-mpris/metadata.xml
new file mode 100644
index 00000000..b7574b82
--- /dev/null
+++ b/media-video/mpv-mpris/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>o.freyermuth@googlemail.com</email>
+ <name>Oliver Freyermuth</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/hoyon/mpv-mpris/issues</bugs-to>
+ <remote-id type="github">hoyon/mpv-mpris</remote-id>
+ </upstream>
+ <use>
+ <flag name="autoload">Load plugin automatically</flag>
+ </use>
+</pkgmetadata>
diff --git a/media-video/mpv-mpris/mpv-mpris-0.5.ebuild b/media-video/mpv-mpris/mpv-mpris-0.5.ebuild
new file mode 100644
index 00000000..290300d6
--- /dev/null
+++ b/media-video/mpv-mpris/mpv-mpris-0.5.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="MPRIS plugin for mpv"
+HOMEPAGE="https://github.com/hoyon/mpv-mpris"
+
+if [[ ${PV} == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/hoyon/${PN}.git"
+else
+ SRC_URI="https://github.com/hoyon/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+SLOT="0"
+LICENSE="MIT"
+IUSE="+autoload"
+
+RDEPEND="media-video/mpv:=[cplugins]
+ dev-libs/glib"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+DOCS=(
+ README.md
+)
+
+src_install() {
+ insinto "/usr/$(get_libdir)/mpv"
+ doins mpris.so
+ use autoload && dosym "/usr/$(get_libdir)/mpv/mpris.so" "/etc/mpv/scripts/mpris.so"
+ einstalldocs
+}
+
+pkg_postinst() {
+ if ! use autoload; then
+ elog
+ elog "The plugin has not been installed to /etc/mpv/scripts for autoloading."
+ elog "You have to activate it manually by passing"
+ elog " \"/usr/$(get_libdir)/mpv/mpris.so\" "
+ elog "as script option to mpv or symlinking the library to \"scripts/\" in your mpv"
+ elog "config directory."
+ elog "Alternatively, activate the autoload use flag."
+ elog
+ fi
+}
diff --git a/media-video/mpv-mpris/mpv-mpris-9999.ebuild b/media-video/mpv-mpris/mpv-mpris-9999.ebuild
new file mode 100644
index 00000000..290300d6
--- /dev/null
+++ b/media-video/mpv-mpris/mpv-mpris-9999.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="MPRIS plugin for mpv"
+HOMEPAGE="https://github.com/hoyon/mpv-mpris"
+
+if [[ ${PV} == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/hoyon/${PN}.git"
+else
+ SRC_URI="https://github.com/hoyon/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+SLOT="0"
+LICENSE="MIT"
+IUSE="+autoload"
+
+RDEPEND="media-video/mpv:=[cplugins]
+ dev-libs/glib"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+DOCS=(
+ README.md
+)
+
+src_install() {
+ insinto "/usr/$(get_libdir)/mpv"
+ doins mpris.so
+ use autoload && dosym "/usr/$(get_libdir)/mpv/mpris.so" "/etc/mpv/scripts/mpris.so"
+ einstalldocs
+}
+
+pkg_postinst() {
+ if ! use autoload; then
+ elog
+ elog "The plugin has not been installed to /etc/mpv/scripts for autoloading."
+ elog "You have to activate it manually by passing"
+ elog " \"/usr/$(get_libdir)/mpv/mpris.so\" "
+ elog "as script option to mpv or symlinking the library to \"scripts/\" in your mpv"
+ elog "config directory."
+ elog "Alternatively, activate the autoload use flag."
+ elog
+ fi
+}